from tkinter import *

def efface():

    '''' effacement de tous les éléments du canevas'''

    can.delete('all')

def affiche():

    '''balaie la matrice et affiche les éléments dans le canevas'''

    for i in range(25):
        for j in range(40):
            if grille[i][j] == 1:
                can.create_rectangle(j*32, i*32, j*32+32, i*32+16, fill = 'blue')
            elif grille[i][j] == 2:
                can.create_oval(j*32, i*32, j*32+32, i*32+32, fill='green' )
            elif grille[i][j] == 3:
                can.create_image(j*32,i*32, image = brique, anchor ='nw')


#######################
# PROGRAMME PRINCIPAL #
#######################


grille = [[0 for i in range(40)] for j in range(25)] # liste de listes représentant le 'plateau de jeu'


def anim():
    '''
        BOUCLE D'ANIMATION PRINCIPALE
    '''




    fen.after(30, anim)



def gauche(event):
    '''
        Procédure éxécutée lors de l'appui sur la touche 'q'
    '''




def droite(event):
    '''
        Procédure éxécutée lors de l'appui sur la touche 'm'
    '''





##############################
# FIN DU PROGRAMME PRINCIPAL #
##############################
fen = Tk()
fen.title('Casse-briques')

brique = BitmapImage(file ='brique.xbm', foreground='red')

can = Canvas(fen, width = 1280, height = 800, background='black')
can.pack()

fen.bind("q", gauche)
fen.bind("m", droite)

anim()

fen.mainloop()
